package com.fjhx.customer.entity.customer.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 客户表
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
@Getter
@Setter
@TableName("customer")
public class Customer extends BasePo {

    /**
     * 客户代码
     */
    private String customerCode;

    /**
     * 客户编码
     */
    private String code;

    /**
     * 国家表id
     */
    private Long countryId;

    /**
     * 省份ID
     */
    private Long provinceId;

    /**
     * 省份名称
     */
    private String provinceName;

    /**
     * 城市id
     */
    private Long cityId;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 地址
     */
    private String address;

    /**
     * 邮编
     */
    private String zipCode;

    /**
     * 客户名称
     */
    private String name;

    /**
     * 客户类型（字典表key）
     */
    private String status;

    /**
     * 客户来源（字典表key）
     */
    private String source;

    /**
     * 业务员id
     */
    private Long userId;

    /**
     * 客户标签
     */
    private String tag;

    /**
     * 用户名称
     */
    @TableField(exist = false)
    private String userName;

    /**
     * 个数
     */
    @TableField(exist = false)
    private Integer count;


    /**
     * beneficiaryName
     */
    private String beneficiaryName;

    /**
     * beneficiaryBank
     */
    private String beneficiaryBank;

    /**
     * beneficiaryBankAddress
     */
    private String beneficiaryBankAddress;

    /**
     * beneficiaryAddress
     */
    private String beneficiaryAddress;

    /**
     * beneficiaryName
     */
    private String swiftCode;

    /**
     * beneficiaryAccountNumber
     */
    private String beneficiaryAccountNumber;

    /**
     * 业务员分配时间
     */
    private Date allocationTime;

    /**
     * 最后一次跟进时间
     */
    private Date lastFollowTime;

}
